-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentRange")

L:RegisterTranslations("enUS", function() return {
	["Log Range"] = true,
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = true,

	["Log Range"] = true,
	["Creatures"] = true,
	["Adjust log range for creature messages"] = true,
	["Death"] = true,
	["Adjust log range for death messages"] = true,
	["Friendly Players"] = true,
	["Adjust log range for friendly player messages"] = true,
	["Friendly Player Pets"] = true,
	["Adjust log range for friendly player pet messages"] = true,
	["Hostile Players"] = true,
	["Adjust log range for hostile player messages"] = true,
	["Hostile Player Pets"] = true,
	["Adjust log range for hostile player pet messages"] = true,
	["Party"] = true,
	["Adjust log range for party messages"] = true,
	["Party Pets"] = true,
	["Adjust log range for party pet messages"] = true,
} end)

-----------------------------------------------------------------------------

Assessment.Options.args.logRange =
{
	type = "group",
	name = L["Log Range"],
	desc = L["Adjusts the range of log messages, affecting what data Assessment is able to capture."],
	order = 100,
	args = 
	{
		creatures =
		{
			type = "range",
			name = L["Creatures"],
			desc = L["Adjust log range for creature messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeCreature"
		},
		death =
		{
			type = "range",
			name = L["Death"],
			desc = L["Adjust log range for death messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatDeathLogRange"
		},
		friendlyPlayers =
		{
			type = "range",
			name = L["Friendly Players"],
			desc = L["Adjust log range for friendly player messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeFriendlyPlayers"
		},
		friendlyPlayerPets =
		{
			type = "range",
			name = L["Friendly Player Pets"],
			desc = L["Adjust log range for friendly player pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeFriendlyPlayersPets"
		},
		hostilePlayers =
		{
			type = "range",
			name = L["Hostile Players"],
			desc = L["Adjust log range for hostile player messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeHostilePlayers"
		},
		hostilePlayerPets =
		{
			type = "range",
			name = L["Hostile Player Pets"],
			desc = L["Adjust log range for hostile player pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeHostilePlayersPets"
		},
		party =
		{
			type = "range",
			name = L["Party"],
			desc = L["Adjust log range for party messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeParty"
		},
		partyPets =
		{
			type = "range",
			name = L["Party Pets"],
			desc = L["Adjust log range for party pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangePartyPet"
		},
	}
}

-----------------------------------------------------------------------------
